using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.OleDb;

public partial class Ex4_4 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btndel_Click(object sender, EventArgs e)
    {
      string strcon = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|mydata.mdb";
      OleDbConnection conn = new OleDbConnection(strcon);
      string sql0 = "delete from members where mname='" + txtname.Text + "'";
      conn.Open();
      OleDbCommand ocmd = new OleDbCommand(sql0, conn);
      if (ocmd.ExecuteNonQuery() > 0)
      {
        Response.Write("删除成功！");
      }
      else
      {
        Response.Write("删除失败！");
      }
      conn.Close();
    }
}
